Summary:	C functions that draw extruded surfaces
Summary(pl.UTF-8):	Funkcje C do rysowania skomplikowanych przestrzeni
Name:		gle
Version:	3.1.0
Release:	4
License:	IBM (library), Artistic (documentation) or GPL v2
Group:		X11/Libraries
Source0:	http://downloads.sourceforge.net/gle/%{name}-%{version}.tar.gz
# Source0-md5:	da5b45c6906343d4a3672c3de35513ad
Patch0:		%{name}-amfix.patch
URL:		http://www.linas.org/gle/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-glut-devel >= 3.7
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool >= 1:1.4.2-9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids. Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path. A local
coordinate system allows for additional flexibility in the primitives
drawn. Extrusions may be texture mapped in a variety of ways. The GLE
library generates 3D triangle coordinates, lighting normal vectors and
texture coordinates as output. GLE uses the GL or OpenGL(R) API's to
perform the actual rendering.

%description -l pl.UTF-8
GLE jest biblioteką funkcji C, które pozwalają na rysowanie
powierzchni tłoczonych, w tym powierzchni obrotowych, rozciągnięć,
walców, stożków i spirali. Ogólnie, powierzchnia tłoczona jest
określona krzywą 2D rozciąganą wzdłuż ścieżki w 3D. Lokalny układ
współrzędnych pozwala na dodatkową elastyczność przy rysowaniu
krzywych. Powierzchnie tłoczone mogą mieć przypisane tekstury na wiele
sposobów. Biblioteka GLE generuje współrzędne trójkątów w 3D, wektory
normalne dla oświetlenia i współrzędne tekstury; do właściwego
renderowania sceny używa API GL lub OpenGL(R).

%package devel
Summary:	Libraries, includes, etc to develop gle applications
Summary(pl.UTF-8):	Biblioteki, pliki nagłówkowe i dokumentacja dla programisty gle
License:	IBM or GPL (code), Artistic or GPL (examples and docs)
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel

%description devel
Include files and documentation you can use to develop gle
applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja dla programisty gle.

%package static
Summary:	Static gle library
Summary(pl.UTF-8):	Biblioteka statyczna libgle
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgle library.

%description static -l pl.UTF-8
Biblioteka statyczna libgle.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} clean -C examples
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/doc/gle

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README COPYING src/COPYING.src
%attr(755,root,root) %{_libdir}/libgle.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgle.so.3

%files devel
%defattr(644,root,root,755)
%doc doc/html/*.{html,gif}
%attr(755,root,root) %{_libdir}/libgle.so
%{_libdir}/libgle.la
%{_includedir}/GL/gle.h
%{_mandir}/man3/gle*.3gle*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libgle.a
%changelog
* Sun Mar 22 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gle.git;a=log;h=master

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 67d0620
- x32 rebuild
- release 4 (by relup.sh)

* Sat Dec 07 2013 Jakub Bogusz <qboosh@pld-linux.org> c475753
- ghost soname symlink, spec cleanups/updates

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d9804f8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e8eaf60
- converted to UTF-8

* Tue Jul 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 42c3ba7
- updated amfix patch - link libgle with GL libs, don't use optional glut libs
  (just rely on glut linked properly)
- dropped (indirect now) xorg deps, -devel R: OpenGL-GLU-devel
- release 3

* Tue Jul 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 8cdba75
- link libgle with libGL and libGLU, rely on glut linked properly

* Sun Apr 02 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 7a26fbb
- modular xorg deps
- removed unpackaged files
- release 2 for Th

* Fri Jul 15 2005 Paweł Gołaszewski <blues@pld-linux.org> 2c33cf7
- duplicate

* Sat Sep 25 2004 radek <radek@pld-linux.org> 349d6ef
- cosmetics (spaces -> tabs)

* Sun May 25 2003 Michal Moskal <michal@moskal.me> e7b90b3
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 73232d9
- massive attack s/pld.org.pl/pld-linux.org/

* Sun Mar 23 2003 Jakub Bogusz <qboosh@pld-linux.org> 38b4261
- added amfix patch - now it builds when old version is installed

* Fri Mar 21 2003 trojan <trojan@pld-linux.org> a5ee585
- updated to 3.1.0

* Fri Feb 28 2003 trojan <trojan@pld-linux.org> 7807b65
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

* Fri Feb 14 2003 adgor <adgor@pld-linux.org> c50d608
- Back to apropriate prefix

* Sat Feb 01 2003 radek <radek@pld-linux.org> b6c6bd0
- updated Source0 URL

* Sat Jan 18 2003 juandon <witekfl@pld-linux.org> 9ae5991
- removed two lines with define

* Sun Dec 29 2002 adgor <adgor@pld-linux.org> 726f5c0
- Fixed %doc

* Mon Nov 25 2002 ankry <ankry@pld-linux.org> dbc5aa7
- massive attack: no need for 755 for *.la

* Sun Jul 07 2002 Jakub Bogusz <qboosh@pld-linux.org> f9981ed
- updated to 3.0.7 (minor fixes)
- added examples, updated License information (different in subpackages)
- c++ patch is no more needed

